<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array();
use Claromentis\Core\Event\Event;
use Claromentis\Infocapture\Model\ICFieldGroup;
class FieldGroupModifiedEvent extends Event
{
    protected $old;
    protected $new;
    public function __construct(?ICFieldGroup $_f0d3cd92e3eb4417d5898658673edaa4, ?ICFieldGroup $_25983d06eff5f52f829961d6bf1a7a70)
    {
        $this->old = $_f0d3cd92e3eb4417d5898658673edaa4;
        $this->new = $_25983d06eff5f52f829961d6bf1a7a70;
    }
    
    
    
    
    public function getOld() : ?ICFieldGroup
    {
        return $this->old;
    }
    
    
    
    
    public function getNew() : ?ICFieldGroup
    {
        return $this->new;
    }
}